Name:           python-x3dh
Version:        0.5.9~beta
Release:        3%{?dist}
Summary:        Python implementation of the Extended Triple Diffie-Hellman key agreement protocol

License:        MIT
URL:            https://github.com/Syndace/%{name}
Source0:        https://github.com/Syndace/%{name}/archive/v%{version_no_tilde}.tar.gz
# backport from upstream
# commit: a38d9ecff2f2735b220d1416c003c757ac3eff57
# XEdDSA 0.6.0 has been released
Patch0:         XEdDSA-version-bump.patch
# For files and directories
%global version_main %(c=%version; echo $c|cut -d~ -f1)

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-cryptography
BuildRequires:  python3-xeddsa


%description
This python library offers an implementation of the Extended Triple
Diffie-Hellman key agreement protocol (X3DH).

X3DH establishes a shared secret key between two parties who mutually
authenticate each other based on public keys. X3DH provides forward
secrecy and cryptographic deniability.



%package     -n python3-x3dh
Summary:        Python implementation of the Extended Triple Diffie-Hellman key agreement protocol

%description -n python3-x3dh
This python library offers an implementation of the Extended Triple
Diffie-Hellman key agreement protocol (X3DH).

X3DH establishes a shared secret key between two parties who mutually
authenticate each other based on public keys. X3DH provides forward
secrecy and cryptographic deniability.



%prep
%autosetup -n %{name}-%{version_no_tilde}


%build
%py3_build


%install
%py3_install


%check
# Unit tests perform DNS resolution and requires active Internet
# connection: disabling
##%{__python3} setup.py test



%files -n python3-x3dh
%license LICENSE
%doc README.md
# For noarch packages: sitelib
%{python3_sitelib}/x3dh/
%{python3_sitelib}/X3DH-%{version_main}-py%{python3_version}.egg-info/



%changelog
* Sun Feb 14 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 0.5.9~beta-3
- Package Review RHBZ#1916510:
  - Add more explicit description
  - Remove %%{srcname} variable truely used once
  - Fix the Version tag to match upstream version
  - Use %%{python3_version} in %%files section

* Mon Jan 18 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 0.5.9-2
- Add Patch0 to fix installation package
  Backport from upstream commit: a38d9ecf  

* Thu Dec 10 2020 Matthieu Saulnier <fantom@fedoraproject.org> - 0.5.9-1
- Initial package
